
textures/revo/invis_water
{
	qer_editorimage textures/hull/oil.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm water	
	
}

textures/revo/track_decal
{
	qer_editorimage textures/boing/rotor_track.tga
	polygonOffset
	entityMergable
	{
		map textures/boing/rotor_track.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/revo/softy

{
	qer_editorimage textures/boing/whoosher.tga
	surfaceparm carpetsteps
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/boing/whoosher.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hull/alpha_mesh
{
	qer_editorimage textures/hull/vortexnet.tga 
    surfaceparm metalsteps
    nomipmaps
    nopicmip
	cull none

    {
        map textures/hull/vortexnet.tga
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

textures/hulllight/b8_sky
{
	qer_editorimage textures/boing/bsky.tga
	surfaceparm sky 
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 1024 
	q3map_sun	1.0 .97 .95 05 5 85

	fogvars ( .35 .05 .15 ) .0004
	skyfogvars ( .3 .3 .1 ) .0025
	surfaceparm nodlight	
	skyparms - 4096 -
	
	{
		map textures/boing/bsky.tga
		tcMod scale 8 8
		depthWrite
	}
	
}





textures/hulllight/glow_wall

{
	qer_editorimage textures/boing/boingblock.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/boing/boingblock.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity
	}
}



textures/revo/o_light
{
    
    q3map_lightimage textures/boing/olight.blend.tga
    qer_editorimage textures/boing/olight.tga
 	q3map_surfacelight 500
    surfaceparm nomarks

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/boing/olight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/boing/olight.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/revo/p_light
{
    
    q3map_lightimage textures/boing/plight.blend.tga
    qer_editorimage textures/boing/plight.tga
	 q3map_surfacelight 500

    surfaceparm nomarks

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/boing/plight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/boing/plight.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/hulllight/green_glow
{
    
    q3map_lightimage textures/boing/goblight.blend.tga
    qer_editorimage textures/boing/goblight.tga


    surfaceparm nomarks

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/boing/goblight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/boing/goblight.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}



textures/hulllight/blue_glow
{
    
    q3map_lightimage textures/boing/boblight.blend.tga
    qer_editorimage textures/boing/boblight.tga


    surfaceparm nomarks

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/boing/boblight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/boing/boblight.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}


textures/hulllight/stop_light
{
    
    q3map_lightimage textures/boing/stoplight.blend.tga
    qer_editorimage textures/boing/stoplight.tga
     q3map_surfacelight 500


    surfaceparm nomarks

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/boing/stoplight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/boing/stoplight.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/hulllight/go_light
{
    
    q3map_lightimage textures/boing/golight.blend.tga
    qer_editorimage textures/boing/golight.tga
     q3map_surfacelight 500


    surfaceparm nomarks

    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/boing/golight.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/boing/golight.blend.tga
        blendFunc GL_ONE GL_ONE
    }
}

