
textures/hull/stoopid_sky
{
	qer_editorimage textures/hull/skyrings.tga
	surfaceparm sky 
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_sun	1.0 0.53 0.6 60 220 90
	q3map_surfacelight 60
	fogvars ( .35 .05 .15 ) .0004
	skyfogvars ( .3 .3 .1 ) .0025
	surfaceparm nodlight	
	skyparms - 4096 -
	
	{
		map textures/hull/skybit2.tga
		tcMod scale 8 8
		depthWrite
	}
	
}

textures/hull/oil_ripple1
	
	{
		qer_editorimage textures/hull/oil.tga
		qer_trans .8
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/hull/oil.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/hull/oil.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/hull/oil.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
//	END
	}


textures/hull/oil_solid

{
	qer_editorimage textures/hull/oil2.tga
	deformVertexes bulge 130 2 1 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hull/oil2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hull/wall_spotty

{
	qer_editorimage textures/hull/splat2.tga
	surfaceparm carpetsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hull/splat2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}


textures/hull/wall_solid

{
	qer_editorimage textures/hull/zem.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hull/zem.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

textures/hull/wall_tex

{
	qer_editorimage textures/hull/splat1.tga
	surfaceparm carpetsteps
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hull/splat1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/hull/alpha_mesh
{
	qer_editorimage textures/hull/vortexnet.tga 
    surfaceparm metalsteps
    nomipmaps
    nopicmip
	cull none

    {
        map textures/hull/vortexnet.tga
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}

